[Qa-jenkins-scm] [jenkins.debian.net] 01/01: lvc: use WORKSPACE rather than PWD

Holger Levsen holger at layer-acht.org
Fri Jun 3 08:59:59 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 014ba6b75f581ea333c4f9324ddc59254e695ab5
Author: Philip Hands <phil at hands.com>
Date:   Fri Jun 3 07:03:20 2016 +0200

    lvc: use WORKSPACE rather than PWD
---
 bin/lvc.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/bin/lvc.sh b/bin/lvc.sh
index e0b2bee..ed88af4 100755
--- a/bin/lvc.sh
+++ b/bin/lvc.sh
@@ -11,8 +11,6 @@ common_init "$@"
 # $1 = wget url/jigdo url
 URL=$1 ; shift
 
-IMAGE=$PWD/$(basename $URL)
-
 cleanup_all() {
         find . -name \*.vlog.png -print0 | xargs -0 -r rm
 	echo "Trying to preserve last screenshot…"
@@ -61,6 +59,9 @@ if [ -z "$WORKSPACE" ] ; then
     WORKSPACE=$PWD
 fi
 RESULTS=$WORKSPACE/results
+
+IMAGE=$WORKSPACE/$(basename $URL)
+
 mkdir -p $RESULTS
 
 mkdir -p $WORKSPACE/DebianToasterStorage
@@ -120,7 +121,7 @@ fi
 
 echo "Debug log available at runtime at https://jenkins.debian.net/view/lvc/job/$JOB_NAME/ws/results/debug.log"
 
-/srv/jenkins/cucumber/bin/run_test_suite --capture-all --keep-snapshots --vnc-server-only --iso $IMAGE --tmpdir $PWD --old-iso $IMAGE -- --format pretty --format pretty_debug --out $PWD/results/debug.log /srv/jenkins/cucumber/features/step_definitions /srv/jenkins/cucumber/features/support "${@}" || {
+/srv/jenkins/cucumber/bin/run_test_suite --capture-all --keep-snapshots --vnc-server-only --iso $IMAGE --tmpdir $WORKSPACE --old-iso $IMAGE -- --format pretty --format pretty_debug --out $WORKSPACE/results/debug.log /srv/jenkins/cucumber/features/step_definitions /srv/jenkins/cucumber/features/support "${@}" || {
   RETVAL=$?
   discard_snapshots DebianToaster
   exit $RETVAL

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list